---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Print product label

Prints a product label for the given product.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Product Label",
      "description": "Product labels management."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/products/{id}/printLabel": {
      "post": {
        "tags": [
          "Product Label"
        ],
        "operationId": "productLabel.print",
        "summary": "Print product label",
        "description": "Prints a product label for the given product.",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "requestBody": {
          "description": "Product label print",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "quantity": {
                    "type": "integer"
                  },
                  "printingLabel": {
                    "type": "string",
                    "description": "The name of the Label"
                  },
                  "printer": {
                    "type": "string",
                    "description": "The name of the printer"
                  }
                }
              },
              "examples": {
                "Print Labels": {
                  "value": {
                    "quantity": 3,
                    "printingLabel": "EAN",
                    "printer": "Etikettendrucker"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Print product label",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "format": "string"
                }
              }
            }
          },
          "204": {
            "description": "Operation completed successfully, no response body"
          },
          "403": {
            "description": "Unable to authorize the client"
          }
        }
      }
    }
  }
}
```